coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

coreutils on OpenBSD 6.0


From: Bruno Haible
Subject: coreutils on OpenBSD 6.0
Date: Tue, 26 Jun 2018 20:35:16 +0200
User-agent: KMail/5.1.3 (Linux/4.4.0-128-generic; KDE/5.18.0; x86_64; ; )

A recent coreutils snapshot produces 2 test failures on OpenBSD 6.0:


================================================================
   GNU coreutils 8.29.53-5fb8eb-dirty: ./tests/test-suite.log
================================================================

# TOTAL: 608
# PASS:  437
# SKIP:  168
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 1

.. contents:: :depth: 2

FAIL: tests/misc/env
====================

++ initial_cwd_=/home/bruno/coreutils/build
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/bruno/coreutils/build gt-env.sh.XXXX
+++ case $# in
+++ destdir_=/home/bruno/coreutils/build
+++ template_=gt-env.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/bruno/coreutils/build/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/bruno/coreutils/build/gt-env.sh.vhO9
+++ case $d in
+++ :
+++ test -d /home/bruno/coreutils/build/gt-env.sh.vhO9
++++ ls -dgo /home/bruno/coreutils/build/gt-env.sh.vhO9
+++ perms='drwx------ 2 512 Jun 26 03:59 
/home/bruno/coreutils/build/gt-env.sh.vhO9'
+++ case $perms in
+++ :
+++ echo /home/bruno/coreutils/build/gt-env.sh.vhO9
+++ return
++ test_dir_=/home/bruno/coreutils/build/gt-env.sh.vhO9
++ cd /home/bruno/coreutils/build/gt-env.sh.vhO9
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/bruno/coreutils/build/./src
+ case $abs_path_dir_ in
+ 
PATH=/home/bruno/coreutils/build/./src:/home/bruno/coreutils/build/src:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/games:.
+ create_exe_shims_ /home/bruno/coreutils/build/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ env pwd
+ require_built_ env pwd
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env env --version
env (GNU coreutils) 8.29.53-5fb8eb-dirty
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard Mlynarik, David MacKenzie, and Assaf Gordon.
+ for i in '$*'
+ env pwd --version
pwd (GNU coreutils) 8.29.53-5fb8eb-dirty
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Jim Meyering.
+ echo '#!/home/bruno/coreutils/build/src/echo simple_echo'
+ chmod a+x simple_echo
+ ./simple_echo
simple_echo ./simple_echo
+ a=1
+ export a
+ env -
env: invalid option -- '-'
Try 'env --help' for more information.
+ fail=1
+ compare /dev/null out
+ compare_dev_null_ /dev/null out
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s out
+ return 0
+ return 0
+ env -i
+ compare /dev/null out
+ compare_dev_null_ /dev/null out
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s out
+ return 0
+ return 0
+ env -u a -i -u a --
+ compare /dev/null out
+ compare_dev_null_ /dev/null out
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s out
+ return 0
+ return 0
+ env -i -- a=b
+ echo a=b
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ returns_ 125 env ---
env: unknown option -- -
Try 'env --help' for more information.
+ returns_ 125 env -u
env: option requires an argument -- u
Try 'env --help' for more information.
+ returns_ 2 env sh -c 'exit 2'
+ returns_ 126 env .
env: '.': Is a directory
+ returns_ 127 env no_such
env: 'no_such': No such file or directory
+ env
+ grep '^ENV_TEST'
+ ENV_TEST1=a
+ export ENV_TEST1
+ env ENV_TEST2=
+ grep '^ENV_TEST' all
+ LC_ALL=C
+ sort
+ env -u ENV_TEST1 ENV_TEST3=c
+ grep '^ENV_TEST' all
+ LC_ALL=C
+ sort
+ env ENV_TEST1=b
+ grep '^ENV_TEST' all
+ LC_ALL=C
+ sort
+ env ENV_TEST2= env
+ grep '^ENV_TEST' all
+ LC_ALL=C
+ sort
+ env -u ENV_TEST1 ENV_TEST3=c env
+ grep '^ENV_TEST' all
+ LC_ALL=C
+ sort
+ env ENV_TEST1=b env
+ grep '^ENV_TEST' all
+ LC_ALL=C
+ sort
+ cat
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ mkdir unlikely_name
+ cat
+ chmod +x unlikely_name/also_unlikely
+ returns_ 127 env also_unlikely
env: 'also_unlikely': No such file or directory
++ 
PATH=/home/bruno/coreutils/build/./src:/home/bruno/coreutils/build/src:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/games:.:unlikely_name
++ env also_unlikely
+ test xpass = xpass
++ env 
PATH=/home/bruno/coreutils/build/./src:/home/bruno/coreutils/build/src:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/games:.:unlikely_name
 also_unlikely
+ test xpass = xpass
+ 
PATH=/home/bruno/coreutils/build/./src:/home/bruno/coreutils/build/src:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/games:.:
+ export PATH
+ ln -s simple_echo ./-u
+ case $(env -u echo echo good) in
++ env -u echo echo good
+ case $(env -u echo -- echo good) in
++ env -u echo -- echo good
+ case $(env -- -u pass) in
++ env -- -u pass
+ returns_ 127 env a=b -- true
env: '--': No such file or directory
+ ln -s simple_echo ./--
+ case $(env a=b -- true || echo fail) in
++ env a=b -- true
+ cat
+ chmod +x c=d
++ env c=d echo fail
+ test xfail = xfail
++ env -- c=d echo fail
+ test xfail = xfail
++ env ./c=d echo fail
+ test xfail = xfail
++ env sh -c 'exec "$@"' sh c=d echo fail
+ test xpass = xpass
++ sh -c '\c=d echo fail'
+ test xpass = xpass
++ env sh -c '\c=d echo fail'
+ test xpass = xpass
+ returns_ 125 env -u a=b true
env: cannot unset 'a=b': Invalid argument
+ returns_ 125 env -u '' true
env: cannot unset '': Invalid argument
+ mkdir empty
+ returns_ 125 env --chdir=empty/nonexistent true
env: cannot change directory to 'empty/nonexistent': No such file or directory
+ returns_ 125 env -C empty
+ printf '%s\n' 'env: must specify command with --chdir (-C)' 'Try '\''env 
--help'\'' for more information.'
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
++ cd empty
++ env pwd
+ exp=/home/bruno/coreutils/build/gt-env.sh.vhO9/empty
++ env --chdir=empty pwd
+ got=/home/bruno/coreutils/build/gt-env.sh.vhO9/empty
+ test /home/bruno/coreutils/build/gt-env.sh.vhO9/empty = 
/home/bruno/coreutils/build/gt-env.sh.vhO9/empty
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/bruno/coreutils/build
+ chmod -R u+rwx /home/bruno/coreutils/build/gt-env.sh.vhO9
+ rm -rf /home/bruno/coreutils/build/gt-env.sh.vhO9
+ exit 1
FAIL tests/misc/env.sh (exit status: 1)

FAIL: tests/misc/env-S
======================

env (GNU coreutils) 8.29.53-5fb8eb-dirty
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard Mlynarik, David MacKenzie, and Assaf Gordon.
1...
2...
3...
4...
5...
q1...
q2...
q3...
q4...
q5...
q6...
q7...
t1...
t2...
t3...
t4...
m1...
m2...
e1...
e2...
e3...
e4...
e5...
e6...
e7...
e8...
e9...
e10...
e11...
e12...
e13...
e14...
e20...
e21...
c1...
c2...
c3...
u1...
u2...
u3...
u4...
v1...
v2...
v3...
v4...
v5...
v6...
v7...
v8...
v9...
v10...
d1...
d2...
d3...
d4...
d5...
d6...
d7...
d8...
d10...
d11...
d12...
s1...
s2...
s3...
s4...
s5...
s6...
s7...
s8...
s9...
s10...
s11...
s12...
s13...
s14...
s15...
s16...
s17...
eq1...
eq2...
eq3...
eq4...
eq5...
eq6...
eq10...
eq11...
eq12...
eq13...
eq14...
eq15...
p10...
err1...
err2...
err3...
err4...
err5...
err6...
err7...
err8...
err9...
err_sp1...
env-S.pl: test err_sp1: stderr mismatch, comparing err_sp1.1 (expected) and 
err_sp1.E (actual)
*** err_sp1.1   Tue Jun 26 04:01:29 2018
--- err_sp1.E   Tue Jun 26 04:01:29 2018
***************
*** 1,2 ****
! env: invalid option -- '-'
  Try 'env --help' for more information.
--- 1,2 ----
! env: unknown option -- S cat -n
  Try 'env --help' for more information.
err_sp2...
err_sp3...
err_sp5...
err_sp6...
1-debug...
2-debug...
3-debug...
4-debug...
5-debug...
q1-debug...
q2-debug...
q3-debug...
q4-debug...
q5-debug...
q6-debug...
q7-debug...
t1-debug...
t2-debug...
t3-debug...
t4-debug...
m1-debug...
m2-debug...
e1-debug...
e2-debug...
e3-debug...
e4-debug...
e5-debug...
e6-debug...
e7-debug...
e8-debug...
e9-debug...
e10-debug...
e11-debug...
e12-debug...
e13-debug...
e14-debug...
e20-debug...
e21-debug...
c1-debug...
c2-debug...
c3-debug...
u1-debug...
u2-debug...
u3-debug...
u4-debug...
v1-debug...
v2-debug...
v3-debug...
v4-debug...
v5-debug...
v6-debug...
v7-debug...
v8-debug...
v9-debug...
v10-debug...
d1-debug...
d2-debug...
d3-debug...
d4-debug...
d5-debug...
d6-debug...
d7-debug...
d8-debug...
d10-debug...
d11-debug...
d12-debug...
s1-debug...
s2-debug...
s3-debug...
s4-debug...
s5-debug...
s6-debug...
s7-debug...
s8-debug...
s9-debug...
s10-debug...
s11-debug...
s12-debug...
s13-debug...
s14-debug...
s15-debug...
s16-debug...
s17-debug...
eq1-debug...
eq2-debug...
eq3-debug...
eq4-debug...
eq5-debug...
eq6-debug...
eq10-debug...
eq11-debug...
eq12-debug...
eq13-debug...
eq14-debug...
eq15-debug...
p10-debug...
FAIL tests/misc/env-S.pl (exit status: 1)





reply via email to

[Prev in Thread] Current Thread [Next in Thread]